lint won't run: "Multiple candidate branches found and they do not target the same series:"

Bug #1735744 reported by Andreas Hasenack on 2017-12-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
usd-importer
Undecided
Nish Aravamudan

Bug Description

Using the branch from this MP, git ubuntu lint just won't run on it:

(paelzer-bionic-merge)andreas@nsnx:~/git/packages/dovecot$ git ubuntu lint
12/01/2017 12:07:31 - ERROR:Unable to automatically determine importer branch: Multiple candidate branches found and they do not target the same series: pkg/debian/sid, pkg/debian/buster. Please pass --target-branch.

This happens on a fresh clone as well:

http://pastebin.ubuntu.com/26089308/

Running git ubuntu review on the MP works, though:

git ubuntu review --verbose https://code.launchpad.net/~paelzer/ubuntu/+source/dovecot/+git/dovecot/+merge/334316

http://pastebin.ubuntu.com/26089400/

Related branches

Review is given the branches explicitly, so it's not the same as a manual
lint.

On Dec 1, 2017 19:45, "Andreas Hasenack" <email address hidden> wrote:

> Public bug reported:
>
> Using the branch from this MP, git ubuntu lint just won't run on it:
>
> (paelzer-bionic-merge)andreas@nsnx:~/git/packages/dovecot$ git ubuntu lint
> 12/01/2017 12:07:31 - ERROR:Unable to automatically determine importer
> branch: Multiple candidate branches found and they do not target the same
> series: pkg/debian/sid, pkg/debian/buster. Please pass --target-branch.
>
>
> This happens on a fresh clone as well:
>
> http://pastebin.ubuntu.com/26089308/
>
>
> Running git ubuntu review on the MP works, though:
>
> git ubuntu review --verbose
> https://code.launchpad.net/~paelzer/ubuntu/+source/
> dovecot/+git/dovecot/+merge/334316
>
> http://pastebin.ubuntu.com/26089400/
>
> ** Affects: usd-importer
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a member of Ubuntu
> Server Dev import team, which is subscribed to usd-importer.
> https://bugs.launchpad.net/bugs/1735744
>
> Title:
> lint won't run: "Multiple candidate branches found and they do not
> target the same series:"
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/usd-importer/+bug/1735744/+subscriptions
>

Nish Aravamudan (nacc) wrote :

And this error is exactly what it emits. Lint cannot without any external
info (e.g an MP) determine which of the (presumably identical branches
pkg/debian/{buster,sid} are the intended target and they refer to different
series (which might imply different semantics bases upon which branch is
selected). Perhaps the check should be on the treeish though? Or an
override that says multiple same-tree targets are fine. Although without
looking at the code I thought that was already the check.

On Dec 1, 2017 19:45, "Andreas Hasenack" <email address hidden> wrote:

> Public bug reported:
>
> Using the branch from this MP, git ubuntu lint just won't run on it:
>
> (paelzer-bionic-merge)andreas@nsnx:~/git/packages/dovecot$ git ubuntu lint
> 12/01/2017 12:07:31 - ERROR:Unable to automatically determine importer
> branch: Multiple candidate branches found and they do not target the same
> series: pkg/debian/sid, pkg/debian/buster. Please pass --target-branch.
>
>
> This happens on a fresh clone as well:
>
> http://pastebin.ubuntu.com/26089308/
>
>
> Running git ubuntu review on the MP works, though:
>
> git ubuntu review --verbose
> https://code.launchpad.net/~paelzer/ubuntu/+source/
> dovecot/+git/dovecot/+merge/334316
>
> http://pastebin.ubuntu.com/26089400/
>
> ** Affects: usd-importer
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a member of Ubuntu
> Server Dev import team, which is subscribed to usd-importer.
> https://bugs.launchpad.net/bugs/1735744
>
> Title:
> lint won't run: "Multiple candidate branches found and they do not
> target the same series:"
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/usd-importer/+bug/1735744/+subscriptions
>

Robie Basak (racb) on 2017-12-01
tags: added: lint

I understand that it might need help, but Andreas and I didn't get it to run.
We tried what came to our mind as target-branch.

If you could provide the "git ubuntu lint ???" commandline that would
work correctly we might be good.
But so far we couldn't find it.

Nish Aravamudan (nacc) wrote :

Try `git ubuntu lint --target-branch=pkg/debian/sid` as the command
outputted on error.

On Dec 1, 2017 20:25, "ChristianEhrhardt" <email address hidden>
wrote:

I understand that it might need help, but Andreas and I didn't get it to
run.
We tried what came to our mind as target-branch.

If you could provide the "git ubuntu lint ???" commandline that would
work correctly we might be good.
But so far we couldn't find it.

--
You received this bug notification because you are a member of Ubuntu
Server Dev import team, which is subscribed to usd-importer.
https://bugs.launchpad.net/bugs/1735744

Title:
  lint won't run: "Multiple candidate branches found and they do not
  target the same series:"

To manage notifications about this bug go to:
https://bugs.launchpad.net/usd-importer/+bug/1735744/+subscriptions

ChristianEhrhardt (paelzer) wrote :

$ git ubuntu lint --target-branch=pkg/debian/sid

Ends up in just the same error:
12/01/2017 17:13:00 - ERROR:Unable to automatically determine importer
branch: Multiple candidate branches found and they do not target the
same series: pkg/debian/buster, pkg/debian/sid. Please pass
--target-branch.

We tried that actually, which is why we were wondering what exactly it
would have to get passed to work.

Nish Aravamudan (nacc) on 2017-12-04
Changed in usd-importer:
status: New → In Progress
Nish Aravamudan (nacc) on 2017-12-04
Changed in usd-importer:
assignee: nobody → Nish Aravamudan (nacc)
ChristianEhrhardt (paelzer) wrote :

Tested the MP, LGTM

Changed in usd-importer:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers